# I18n Alati

I18n znači Internationalization. Ta riječ je predugačka pa ju pišemo I, 18 slova, n, kraće je :). Uglavnom,
ovo je niz alata koji nam pomaže oko lokalizacije web aplikacija.

## Instalacija

```bash
$ composer global require elektronika-perhoc/i18n-tools
```

## makepot

Ovaj alat skenira dati direktorij i izvlači sve stringove prevedene WordPressovim l10n funkcijama. Podržavamo
.php i .twig datoteke. Bit će izvučeni samo stringovi prevođeni u zadanoj text-domeni.

```bash
$ makepot . moja-domena languages/moja-domena.pot
```

## po2csv

Konvertira .po u .csv i obratno.

```bash
$ po2csv moja-domena-hr.po > moja-domena-hr.csv
```

```bash
$ po2csv moja-domena-hr.po moja-domena-hr.csv > prevedeno-hr.po
```